/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.88 Revision 1.173
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.88 2009/09/22 07:21:41 maekke Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.173 2012/03/07 18:43:03 pesa Exp $
4
5 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
6 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
7 <slong@rathaus.eclipse.co.uk> in bug #407281.
8
9 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
10 Switch to EAPI 4, add REQUIRED_USE.
11
12 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
13 PyQt4-4.8.4.ebuild:
14 Drop ~x86-fbsd because of unkeyworded dependencies.
15
16 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
17 Don't enable QtAssistant module because it was removed in qt-4.7 and we
18 already depend on 4.7.2 or later.
19
20 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
21 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
22 Restrict pypy for older versions too.
23
24 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
25 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
26 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
27 version.
28
29 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
30 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
31 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
32 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
33 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
34 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
35
36 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
37 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
38 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
39 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
40 Fixing pypy restricts to actually work
41
42*PyQt4-4.9.1 (12 Feb 2012)
43
44 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
45 version bump
46
47 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
48 builds with qt-opengl-4.8.0[egl], updated dep
49
50 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
51 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
52 Fixes backported from Progress Overlay. Patch by Arfrever.
53
54*PyQt4-4.9 (24 Dec 2011)
55
56 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
57 Version bump
58
59*PyQt4-4.8.6 (11 Nov 2011)
60
61 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
62 Version bump
63
64 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
65 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
66 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
67 python overlay.
68
69*PyQt4-4.8.5 (19 Aug 2011)
70
71 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
72 Version bump
73
74 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
75 ppc/ppc64 stable wrt #374591
76
77 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
78 x86 stable, bug #374591
79
80 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
81 ppc64 stable wrt #354033
82
83 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
84 Stable on amd64 wrt bug #374591
85
86 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
87 Marking PyQt4-4.8.3 ppc stable for bug 354033
88
89 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
90 Stable on amd64 wrt bug #354033
91
92 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
93 x86 stable per bug 354033
94
95*PyQt4-4.8.4 (02 May 2011)
96
97 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
98 +PyQt4-4.8.4.ebuild:
99 Version bump.
100
101 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
102 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
103 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
104 Adapt phonon dependency for package move
105
106 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
107 ppc64 stable wrt #349607
108
109 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
110 ia64/sparc stable wrt #349607
111
112 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
113 Stable on alpha, bug #349607
114
115 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
116 PyQt4-4.8.3.ebuild:
117 Update dependencies (bug #353053).
118
119*PyQt4-4.8.3 (25 Jan 2011)
120
121 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
122 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
123 Version bump.
124
125 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
126 x86 stable wrt bug #349607
127
128 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
129 Marking PyQt4-4.8.1 ppc stable for bug 349607
130
131 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
132 Stable on amd64 wrt bug #349607
133
134 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
135 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
136 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
137
138*PyQt4-4.8.1-r1 (30 Dec 2010)
139
140 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
141 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
142 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
143
144 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
145 PyQt4-4.8.2.ebuild:
146 Fix dependencies (bug #349672).
147
148*PyQt4-4.8.2 (24 Dec 2010)
149
150 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
151 +PyQt4-4.8.2.ebuild:
152 Version bump.
153
154 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
155 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
156 Restrict Jython ABIs.
157
158 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
159 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
160 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
161 -files/configure.py.patch:
162 Delete.
163
164 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
165 old, depends on qt 4.5
166
167 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
168 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
169 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
170 Remove HPPA keywording (bug #239441).
171
172*PyQt4-4.8.1 (30 Oct 2010)
173
174 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
175 +PyQt4-4.8.1.ebuild:
176 Version bump.
177
178 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
179 ia64/sparc stable wrt #315775
180
181*PyQt4-4.8 (23 Oct 2010)
182
183 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
184 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
185 +PyQt4-4.8.ebuild, metadata.xml:
186 Version bump.
187
188*PyQt4-4.7.7-r1 (06 Oct 2010)
189
190 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
191 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
192 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
193
194*PyQt4-4.7.7 (21 Sep 2010)
195
196 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
197 +PyQt4-4.7.7.ebuild:
198 Version bump. Remove old bogus version
199
200 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
201 Stable on alpha, bug #315775
202
203 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
204 Marked ppc stable for bug #315775.
205
206 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
207 PyQt4-4.7.6.ebuild:
208 Update EAPI. Fix dependencies.
209
210*PyQt4-4.7.6 (08 Sep 2010)
211
212 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
213 +PyQt4-4.7.6.ebuild:
214 Version bump. Remove old ebuild
215
216 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
217 PyQt4-4.7.5.ebuild:
218 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
219
220*PyQt4-4.7.5 (01 Sep 2010)
221
222 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
223 +PyQt4-4.7.5.ebuild:
224 Version bump
225
226 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
227 Stable for HPPA (bug #315775).
228
229 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
230 Bump sip dependency to 4.10.3. Fix arm epatch command
231
232*PyQt4-4.7.4 (13 Jul 2010)
233
234 13 Jul 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.4.ebuild:
235 Version bump
236
237 05 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.3.ebuild:
238 ppc64 stable wrt #315775
239
240 16 Jun 2010; Tomas Touceda <chiiph@gentoo.org> PyQt4-4.7.3.ebuild,
241 +files/PyQt4-4.7.3-qreal_float_support.patch:
242 Add patch for qreal/float support in ARM wrt bug 322349
243
244 03 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.7.3.ebuild:
245 x86 stable wrt bug 315775
246
247 25 May 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.3.ebuild:
248 Stable on amd64 wrt bug 315775
249
250 23 Apr 2010; Theo Chatzimichos <tampakrap@gentoo.org> PyQt4-4.7.ebuild,
251 PyQt4-4.7.2.ebuild, PyQt4-4.7.3.ebuild:
252 Fix sip dep in PyQt4 ebuilds
253
254*PyQt4-4.7.3 (17 Apr 2010)
255
256 17 Apr 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.3.ebuild:
257 Version bump
258
259 11 Apr 2010; <nixnut@gentoo.org> PyQt4-4.7.ebuild:
260 ppc stable #301105
261
262*PyQt4-4.7.2 (18 Mar 2010)
263
264 18 Mar 2010; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.7.2.ebuild,
265 +files/PyQt4-4.7.2-configure.py.patch:
266 Version bump. ChangeLog is no longer shipped. Update patch.
267
268 03 Mar 2010; Christian Faulhammer <fauli@gentoo.org> PyQt4-4.7.ebuild:
269 stable x86, bug 301105
270
271 02 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.ebuild:
272 amd64 stable wrt #301105
273
274 16 Feb 2010; Jonathan Callen <abcd@gentoo.org>
275 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch,
276 -files/fix_license_check.patch:
277 Drop old patches
278
279 10 Feb 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.6.2.ebuild:
280 Stable for HPPA (bug #300713).
281
282 08 Feb 2010; Christian Faulhammer <fauli@gentoo.org> PyQt4-4.6.2.ebuild:
283 stable x86, bug 300713
284
285 02 Feb 2010; Alex Alexander <wired@gentoo.org> PyQt4-4.5.4-r4.ebuild,
286 PyQt4-4.6.2.ebuild:
287 updated SRC_URI to use gentoo mirrors, upstream doesn't provide these
288 versions anymore
289
290 31 Jan 2010; <hwoarang@gentoo.org> PyQt4-4.6.2.ebuild:
291 Stable on amd64 wrt bug #300713
292
293 20 Jan 2010; Jonathan Callen <abcd@gentoo.org> PyQt4-4.7.ebuild:
294 Add prefix keywords, support
295
296*PyQt4-4.7 (15 Jan 2010)
297
298 15 Jan 2010; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.7.ebuild:
299 Version bump
300
301 11 Jan 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
302 PyQt4-4.5.4-r4.ebuild, PyQt4-4.6.2.ebuild:
303 Don't call python_need_rebuild().
304
305 06 Jan 2010; <hwoarang@gentoo.org> PyQt4-4.6.2.ebuild:
306 Migrate to qt4-r2 eclass
307
308 02 Jan 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
309 PyQt4-4.5.4-r4.ebuild, PyQt4-4.6.2.ebuild:
310 Only restrict Python 3.2.
311
312 02 Jan 2010; Ben de Groot <yngwin@gentoo.org> PyQt4-4.5.4-r4.ebuild,
313 PyQt4-4.6.2.ebuild:
314 Adding RESTRICT_PYTHON_ABIS for python3. Current PyQt4 versions only work
315 with python2. Fixes bug 292419.
316
317 13 Dec 2009; Ben de Groot <yngwin@gentoo.org> -PyQt4-4.4.4-r2.ebuild,
318 -PyQt4-4.4.4-r5.ebuild, -PyQt4-4.5.2.ebuild, -PyQt4-4.5.4-r3.ebuild,
319 PyQt4-4.5.4-r4.ebuild, -PyQt4-4.6.1.ebuild, -PyQt4-4.6.1-r1.ebuild,
320 PyQt4-4.6.2.ebuild, metadata.xml:
321 Remove obsolete versions. Pin 4.5.4 on correct sip and Qt versions. Remove
322 qt3support useflag description from metadata, as it is no longer in use.
323
324 30 Nov 2009; Joseph Jezak <josejx@gentoo.org> PyQt4-4.5.4-r4.ebuild:
325 Marked ppc64 stable.
326
327*PyQt4-4.6.2 (20 Nov 2009)
328
329 20 Nov 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
330 +PyQt4-4.6.2.ebuild:
331 Version bump.
332
333*PyQt4-4.6.1-r1 (05 Nov 2009)
334
335 05 Nov 2009; Alex Alexander <wired@gentoo.org> +PyQt4-4.6.1-r1.ebuild,
336 +files/PyQt4-4.6.1-configure-multilib.patch:
337 added multilib patch wrt bug #283936
338
339*PyQt4-4.6.1 (28 Oct 2009)
340
341 28 Oct 2009; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.6.1.ebuild,
342 +files/configure-4.6.1.py.patch:
343 Version bump. Add new configuration patch
344
345 18 Oct 2009; Raúl Porcel <armin76@gentoo.org> PyQt4-4.5.4-r4.ebuild:
346 alpha/ia64/sparc stable wrt #284707
347
348 27 Sep 2009; nixnut <nixnut@gentoo.org> PyQt4-4.5.4-r4.ebuild:
349 ppc stable #284707
350
351 22 Sep 2009; Markus Meier <maekke@gentoo.org> PyQt4-4.5.4-r4.ebuild:
352 add ~arm
353
354 22 Sep 2009; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild:
355 Stable for HPPA (bug #284707).
4 356
5 22 Sep 2009; Markus Meier <maekke@gentoo.org> PyQt4-4.5.4-r4.ebuild: 357 22 Sep 2009; Markus Meier <maekke@gentoo.org> PyQt4-4.5.4-r4.ebuild:
6 amd64 stable, bug #284707 358 amd64 stable, bug #284707
7 359
8 16 Sep 2009; Christian Faulhammer <fauli@gentoo.org> 360 16 Sep 2009; Christian Faulhammer <fauli@gentoo.org>

Legend:
Removed from v.1.88  
changed lines
  Added in v.1.173

  ViewVC Help
Powered by ViewVC 1.1.20